package com.muyu.data.source.domain;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 数据库表对象 DataBaseTable
 *
 * @author DeKangLiu
 * on 2024/4/24
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class DataBaseTable {
    /**数据库表id*/
    private Integer id;

    /**数据库名称*/
    private String tableName;

    /**字段名*/
    private String name;

    /**字段注释*/
    private String comment;

    /**是否核心*/
    private String isPrimaryKey;

    /**java类型*/
    private String type;

    /**字段类型*/
    private String detailType;

    /**小数点*/
    private Integer length;

    /**小数点*/
    private Double decimalPlaces;

    /**是否为空*/
    private String isNull;

    /**默认值*/
    private String defaultValue;

    /**结构表id*/
    private Integer structureId;

    /**信息表id*/
    private Integer informationId;

    /**是否为字典*/
    private String isDict;

    /**映射字典*/
    private String dictKey;

}

