package com.muyu.data.source.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 字典数据对象 DictionaryData
 *
 * @author DeKangLiu
 * on 2024/4/29
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class DictionaryData {

    /**字典数据id*/
    private Integer id;

    /**字典数据标签*/
    private String dictionaryLabel;

    /**字典数据值*/
    private String dictionaryValue;

    /**字典类型*/
    private String dictionaryType;



    /**字典数据状态*/
    private Integer status;

    /**创建人*/
    private String createBy;

    /**创建时间*/
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date createTime;

    /**更新人*/
    private String updateBy;

    /**更新时间*/
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date updateTime;

    /**备注*/
    private String remark;
}
