package com.muyu.data.source.mapper;

import java.util.ArrayList;
import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.muyu.data.source.domain.*;
import org.apache.ibatis.annotations.Param;

/**
 * 数据源Mapper接口
 *
 * @author muyu
 * @date 2024-04-21
 */
public interface DataSourceMapper extends BaseMapper<DataSource> {

    List<AccessType> findAccessType();

    List<AssetStructure> assetStructureList();


    List<DatabaseTableInformation> findByBaseName(@Param("databaseName") String databaseName);

    void addDatabaseTableInformation(@Param("databaseTableInformationList") List<DatabaseTableInformation> databaseTableInformationList, @Param("id") Long id);

    void addDatabaseTableInfo(@Param("databaseTableInformations") ArrayList<DatabaseTableInformation> databaseTableInformations);


    Integer addAssets(AssetStructure assetStructure);

    List<DatabaseTableInformation> findInformationById(@Param("id") Integer id);

    AssetStructure findAssetsById(@Param("id") Integer id);

    List<DataBaseTable> findDataBaseTable(@Param("databaseName") String databaseName, @Param("name") String name);

    void addDataBaseTable(@Param("dataBaseTable") List<DataBaseTable> dataBaseTable);

    List<DataBaseTable> findDataBaseTableById(@Param("id") Integer id);

    List<DataBaseTable> findDataBaseTableByName(@Param("name") String name);

    DatabaseTableInformation findAssetById(@Param("id") Integer id);

    DatabaseTableInformation findDataBaseTableBy(@Param("id") Long id);

    List<DatabaseTableInformation> findDataBaseTableInformationById(@Param("id") Integer id);

    List<DatabaseTableInformation> dataBaseTableInformation();

    Integer updateDatabaseTable(@Param("dataBaseTable") DataBaseTable dataBaseTable);

//    AssetStructure findDatabaseName(DataSource dataSource);

//    void updateAssets(@Param("assetStructure") AssetStructure assetStructure, @Param("id") Long id);
}
