package com.muyu.data.source.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.common.core.domain.Result;
import com.muyu.data.source.domain.AssetAuthInfo;
import com.muyu.data.source.domain.req.AssetAuthInfoQueryReq;

import java.util.List;

/**
 * AssetAuthInfo 资产授权 Service层接口
 *
 * @author AnNan.Wang
 * @ClassName: AssetAuthInfoService
 * @createTime: 2024/5/5 15:40
 */
public interface AssetAuthInfoService extends IService<AssetAuthInfo> {
    /**
     * 查询资产授权列表
     *
     * @param assetAuthInfo 资产授权
     * @return 资产授权集合
     */
    public List<AssetAuthInfo> list(AssetAuthInfo assetAuthInfo);

    Result<String> removeList(AssetAuthInfoQueryReq assetAuthInfoQueryReq);
}
