package com.muyu.ruleengine.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.AllArgsConstructor;
import lombok.experimental.SuperBuilder;
import io.swagger.annotations.*;
import com.muyu.common.core.annotation.Excel;
import com.muyu.ruleengine.domain.req.RuleengineQueryReq;
import com.muyu.ruleengine.domain.req.RuleengineSaveReq;
import com.muyu.ruleengine.domain.req.RuleengineEditReq;
import com.muyu.common.core.web.domain.BaseEntity;

import java.util.List;

/**
 * 规则引擎对象 ruleengine
 *
 * @author WangLei
 * @date 2024-04-24
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ruleengine")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "Ruleengine", description = "规则引擎")
public class Ruleengine extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**  */
    @TableId(value = "id",type = IdType.AUTO)
    @ApiModelProperty(name = "", value = "")
    private Long id;

    /** 规则名称 */
    @Excel(name = "规则名称")
    @ApiModelProperty(name = "规则名称", value = "规则名称")
    private String name;

    /** 引擎编码 */
    @Excel(name = "引擎编码")
    @ApiModelProperty(name = "引擎编码", value = "引擎编码")
    private String code;

    /** 规则类型 */
    @Excel(name = "规则类型")
    @ApiModelProperty(name = "规则类型", value = "规则类型")
    private String type;

    /** 规则作用域 */
    @Excel(name = "规则作用域")
    @ApiModelProperty(name = "规则作用域", value = "规则作用域")
    private String level;


    /** 是否激活 */
    @Excel(name = "是否激活")
    @ApiModelProperty(name = "是否激活", value = "是否激活")
    private String isActivate;

    /** 规则状态 */
    @Excel(name = "规则状态")
    @ApiModelProperty(name = "规则状态", value = "规则状态")
    private String status;

    /** 规则描述 */
    @Excel(name = "规则描述")
    @ApiModelProperty(name = "规则描述", value = "规则描述")
    private String description;

    /** 备注 */
    @Excel(name = "备注")
    @ApiModelProperty(name = "备注", value = "备注")
    private String remark;

    /** 规则描述 */
    @Excel(name = "编码")
    @ApiModelProperty(name = "编码", value = "编码")
    private String engineCode;




    /**
    * 查询构造器
    */
    public static Ruleengine queryBuild( RuleengineQueryReq ruleengineQueryReq){
        return Ruleengine.builder()
                .name(ruleengineQueryReq.getName())
                .code(ruleengineQueryReq.getCode())
                .type(ruleengineQueryReq.getType())
                .level(ruleengineQueryReq.getLevel())
                .isActivate(ruleengineQueryReq.getIsActivate())
                .status(ruleengineQueryReq.getStatus())
                .description(ruleengineQueryReq.getDescription())
                .remark(ruleengineQueryReq.getRemark())
                .build();
    }

    /**
    * 添加构造器
    */
    public static Ruleengine saveBuild(RuleengineSaveReq ruleengineSaveReq){
        return Ruleengine.builder()
                .name(ruleengineSaveReq.getName())
                .code(ruleengineSaveReq.getCode())
                .type(ruleengineSaveReq.getType())
                .level(ruleengineSaveReq.getLevel())
                .isActivate(ruleengineSaveReq.getIsActivate())
                .status(ruleengineSaveReq.getStatus())
                .description(ruleengineSaveReq.getDescription())
                .remark(ruleengineSaveReq.getRemark())
                .engineCode(ruleengineSaveReq.getEngineCode())
                .build();
    }

    /**
    * 修改构造器
    */
    public static Ruleengine editBuild(Long id, RuleengineEditReq ruleengineEditReq){
        return Ruleengine.builder()
            .id(id)
                .name(ruleengineEditReq.getName())
                .code(ruleengineEditReq.getCode())
                .type(ruleengineEditReq.getType())
                .level(ruleengineEditReq.getLevel())
                .isActivate(ruleengineEditReq.getIsActivate())
                .status(ruleengineEditReq.getStatus())
                .description(ruleengineEditReq.getDescription())
                .remark(ruleengineEditReq.getRemark())
                .engineCode(ruleengineEditReq.getEngineCode())
                .build();
    }

}
